Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail
Class Header

    java.lang.Object
      |
      +--javax.mail.Header

public class Header
extends java.lang.Object

The Header class stores a name/value pair to represent headers.

Constructor Summary
`Header(java.lang.String name, java.lang.String value)` Construct a Header object.

Method Summary
`java.lang.String` | `getName()` Returns the name of this header.
`java.lang.String` | `getValue()` Returns the value of this header.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Header

    public Header(java.lang.String name,
                  java.lang.String value)

  Construct a Header object.
  Parameters:
    `name` - name of the header
    `value` - value of the header

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of this header.
  Returns:
    name of the header

### getValue

    public java.lang.String getValue()

  Returns the value of this header.
  Returns:
    value of the header

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD